# Interface Params

插件初始化参数

interface Params {
config?: Partial<DynamicPathLinePluginType.Config>;
initialState?: Partial<DynamicPathLinePluginType.State>;
paths?: PathConfig[];
}

- Defined in lib/plugins/DynamicPathLinePlugin/typing.ts:97

##### Index

### Properties

config?
initialState?
paths?

## Properties

### `Optional` config

config?: Partial<DynamicPathLinePluginType.Config>

- Defined in lib/plugins/DynamicPathLinePlugin/typing.ts:98

### `Optional` initialState

initialState?: Partial<DynamicPathLinePluginType.State>

- Defined in lib/plugins/DynamicPathLinePlugin/typing.ts:99

### `Optional` paths

paths?: PathConfig[]

初始路径配置列表

- Defined in lib/plugins/DynamicPathLinePlugin/typing.ts:101